> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Role Assignment

> Deletes a role assignment.

`Unary` · [`Groups`](https://ona.com/docs/api-reference/generated/group/overview)

Deletes a role assignment.

Use this method to:

* Remove group access to resources
* Revoke role-based permissions

### Examples

* Delete a role assignment:

  Removes a role assignment by its ID.

  ```yaml theme={null}
  assignmentId: "a1b2c3d4-5678-90ab-cdef-1234567890ab"
  ```

### Authorization

Requires admin role on the specific resource.

## Endpoint

```text theme={null}
POST /api/gitpod.v1.GroupService/DeleteRoleAssignment
```

Send a Bearer token as described in [Authentication](https://ona.com/docs/api-reference.md#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

```bash cURL theme={null}
export ONA_HOST=https://app.ona.com
export ONA_API_KEY=<your-token>

curl --request POST \
  --url "$ONA_HOST/api/gitpod.v1.GroupService/DeleteRoleAssignment" \
  --header "Authorization: Bearer $ONA_API_KEY" \
  --header "Content-Type: application/json" \
  --data '{
  "assignmentId": "<assignment-id>"
}'
```

```python Python theme={null}
import gitpod.v1.group_pb2 as group_pb2
from ona_sdk import create_client_from_env

ona = create_client_from_env()
request = group_pb2.DeleteRoleAssignmentRequest(
    assignment_id="<assignment-id>",
)
response = ona.services.group.delete_role_assignment(request)
print(response)
```

```typescript TypeScript theme={null}
import { create } from "@bufbuild/protobuf";
import { createClientFromEnv } from "@gitpod/sdk";
import { DeleteRoleAssignmentRequestSchema } from "@gitpod/sdk/gitpod/v1/group_pb";

async function main() {
  const ona = createClientFromEnv();
  const request = create(DeleteRoleAssignmentRequestSchema, {
    assignmentId: "<assignment-id>",
  });
  const response = await ona.services.group.deleteRoleAssignment(request);
  console.log(response);
}

main().catch(console.error);
```

```go Go theme={null}
package main

import (
	"context"
	"fmt"
	"log"

	"connectrpc.com/connect"
	"github.com/gitpod-io/gitpod-sdk-go/sdk"
	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
)

func main() {
	ona, err := sdk.NewFromEnv()
	if err != nil {
		log.Fatal(err)
	}

	request := connect.NewRequest(&gitpodpb.DeleteRoleAssignmentRequest{
		AssignmentId: "<assignment-id>",
	})
	response, err := ona.Services.Group.DeleteRoleAssignment(context.Background(), request)
	if err != nil {
		log.Fatal(err)
	}
	fmt.Println(response.Msg)
}
```

```json Request body theme={null}
{
  "assignmentId": "<assignment-id>"
}
```

## Request

`gitpod.v1.DeleteRoleAssignmentRequest`

DeleteRoleAssignment messages

| Field | Type | Required | Description |
| - | - | - | - |
| `assignmentId` | string | No | Constraints: `string.uuid=true`. |

## Response

`gitpod.v1.DeleteRoleAssignmentResponse`

This message has no fields.


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.